Get all takeaway comments
curl --request GET \
--url https://api.kameleoon.com/takeaways/{takeawayId}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/takeaways/{takeawayId}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/takeaways/{takeawayId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"authorId": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": 123,
"mentionedAccountIds": [
123
],
"parentId": 123,
"takeawayId": 123,
"text": "<string>"
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}TakeawayComment
Get all takeaway comments
Get a list of all comments for a takeaway. For more information on paramsIO refer to the Get started article, and see the Using paramsIO tutorial for practical use cases.
GET
/
takeaways
/
{takeawayId}
/
comments
Get all takeaway comments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Show child attributes
Show child attributes
Response
OK
Account Id of the comment author
Date when the comment was created
Date when the comment was modified
Unique Id of the takeaway comment
Account ids mentioned in the comment
Unique Id of the parent comment
Comment status
Available options:
ACTIVE, ARCHIVED Unique Id of the takeaway
Comment text
Was this page helpful?
⌘I